org.eclipse.net4j.util

## Interface Predicate<T>

- All Known Implementing Classes:
    Predicate.DelegatingPredicate, Predicates.ExcludedPredicate, Predicates.IncludedPredicate, Predicates.UniquePredicate

  Deprecated.
  As of 3.10 use `Predicate`.

      @Deprecated
      public interface Predicate<T>

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Predicate.DelegatingPredicate<T>` Deprecated. As of 3.10 use `Predicate`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `apply(T element)` Deprecated.

- - ### Method Detail

    - #### apply

          boolean apply(T element)

      Deprecated.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html